Subject: Re: CHM help format

From: "Doug Cook" <[email-masked]>
Date: Wed, 19 Feb 2003 04:24:51 -0800

XSL style sheets exist.  I don't see anything in the DSSSL distro for equivalent DSSSL style sheets.  I'm definitely not a docbook or DSSSL expert (although I did learn scheme in college).
 
If you are using XML docbook, it is as simple as running the transform program and then running HHC (HTML Help Compiler) on the generated project file.  The XSL generates the HHP (HTML Help Project) and HHC (HTML Help Contents) files, and the help compiler combines the HHC, HTML, and any other files (such as images) into the CHM.
 
For somebody who was familiar with the SGML stuff, I think it wouldn't take a lot of time.  The first problem is emitting the HHC (table of contents) file.  It is a pretty simple file, and pretty much in HTML.  The HHP file could probably be generated using cat and ls commands.  That would be enough to make a decent HTML help file.
 
Beyond that, there would be room for tweaking.  A small change in the emitted HTML for index entries would add an index to the HTML help file, and this would probably eliminate the need for a separate index page.  A few other changes might also be made, but they would just be minor style changes.
 
I have attached the TOC and HHP files (along with the full-text index stop word list) that I used to create an initial CHM for the Postgres docs.  They are all text files, and there isn't much mystery to them.

________________________________

From: Peter Eisentraut [mailto:[email-masked]]
Sent: Tue 2/18/2003 3:02 PM
To: Doug Cook
Cc: [email-masked]
Subject: Re: [DOCS] CHM help format

Doug Cook writes:

> Is there any plan to support the Microsoft "Compiled HTML Help" format?

No, but if you would like to tell us how to generate and test it, we could
be interested.  AFAIK, the standard DocBook style sheets support HTML Help
output, so much of the work might already be done.

--
Peter Eisentraut   [email-masked]